Subject: bug#75134: Issue with guix pull

From: Eric Gade <[email-masked]>
Date: Sat, 28 Dec 2024 10:34:10 -0500

Hi Florian!

Is this a Macbook?  Perhaps bug
> <https://bugs.gnu.org/74862> is relevant.
>
> Otherwise, perhaps you have insufficient RAM and should call `swapon` on
> a swapfile first.
>

Sorry, I should have provided more information. I am indeed on a Macbook
M1,  but am running everything in VMs. This is a QEMU (qcow2) image that I
built from within a different Debian 12 arm64 VM image using `guix system
image`. I am running it in a VM that has 8GB of RAM allocated (should that
be enough?). I more or less used these instructions to make the image:
https://github.com/mzadel/guix-on-m1-qemu

I'll try to boost the memory a bit and give it another shot.

Here is the config I used to build the image (it's relatively short):
 (use-modules (gnu))
 (use-package-modules certs)
 (use-modules (gnu services spice) (gnu services desktop))
 (use-package-modules glib kde-plasma)

 (operating-system
   (host-name "guix")
   (timezone "America/New_York")
   (locale "en_US.utf8")

   (bootloader (bootloader-configuration
                 (bootloader grub-efi-bootloader)
                 (targets '("/boot/efi"))))
   (kernel-arguments (list "console=ttyS0,115200"))
   (file-systems (append
           (list (file-system
                           (device "/dev/vda2")
                           (mount-point "/")
                           (type "ext4"))
                         (file-system
                           (device "/dev/vda1")
                           (mount-point "/boot/efi")
                           (type "vfat")))
                       %base-file-systems))

   (users (cons (user-account
                 (name "ecgade")
                 (group "users")

                 (supplementary-groups '("wheel"
                                         "audio" "video")))
                %base-user-accounts))

   (packages (cons plasma-desktop %base-packages))

   (services (append (list (spice-vdagent-service))
                     %desktop-services)))

-- 
Eric